Qyra
ReferenceNotifications

Get notifications

Gets notifications for a user based on the type

GET/api/v1/notifications

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
typestringYes

Responses

200 — Success

{
  "results": [
    {
      "url": "string",
      "message": "string",
      "resourceUuid": "string",
      "viewed": true,
      "createdAt": "2024-01-01T00:00:00.000Z",
      "notificationId": "string",
      "metadata": {
        "dashboardUuid": "string",
        "dashboardName": "string",
        "dashboardTileUuid": "string",
        "dashboardTileName": "string"
      },
      "resourceType": "dashboardComments"
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}